import request from '@/utils/request'

export function fileCateAdd(params: Record<string, any>) {
    return request.post({ url: '/foxpsdData/api/diy/image/type/create', params }, {
        headers: {
            'Content-Type': 'application/json;charset=UTF-8'
        }
    })
}

export function fileCateEdit(params: Record<string, any>) {
    return request.post({ url: '/foxpsdData/api/diy/image/type/update', params }, {
        headers: {
            'Content-Type': 'application/json;charset=UTF-8'
        }
    })
}

// 文件分类删除
export function fileCateDelete(params: Record<string, any>) {
    return request.post({ url: '/foxpsdData/api/diy/image/type/delete', params }, {
        headers: {
            'Content-Type': 'application/json;charset=UTF-8'
        }
    })
}

// 文件分类列表
export function fileCateLists(params: Record<string, any>) {
    return request.get({ url: '/foxpsdData/api/diy/image/type', params })
}

// 文件保存
export function apiDiyImageSave(params: Record<string, any>) {
    return request.post({ url: '/foxpsdData/api/diy/image/save', params }, {
        headers: {
            'Content-Type': 'application/json;charset=UTF-8'
        }
    })
}


// 文件列表
export function fileList(params: Record<string, any>) {
    return request.get({ url: '/foxpsdData/api/diy/image/list', params })
}

// 文件删除
export function fileDelete(params: Record<string, any>) {
    return request.post({ url: '/foxpsdData/api/diy/image/delete', params }, {
        headers: {
            'Content-Type': 'application/json;charset=UTF-8'
        }
    })
}

// 文件移动
export function fileMove(params: Record<string, any>) {
    return request.post({ url: '/file/move', params })
}

// 文件重命名
export function fileRename(params: { id: number; name: string }) {
    return request.post({ url: '/file/rename', params })
}
