import { defineStore } from 'pinia'
import Config from "@/config/index"
import {getImageUrl} from "@/utils/getImgUrl"

interface AppSate {
    config: Record<string, any>
    isMobile: boolean
    isCollapsed: boolean
    isRouteShow: boolean
    isResvg: boolean
}

const useAppStore = defineStore({
    id: 'app',
    state: (): AppSate => {
        return {
            config: {},
            isMobile: true,
            isCollapsed: false,
            isRouteShow: true,
            isResvg: false
        }
    },
    actions: {
        setResvg(val: boolean) {
            this.isResvg = val;
        },
        getImageUrl(url: string) {
            return getImageUrl(url)
        },
        getConfig() {
            this.config = Config;
            return Config;
        },
        setMobile(value: boolean) {
            this.isMobile = value
        },
        toggleCollapsed(toggle?: boolean) {
            this.isCollapsed = toggle ?? !this.isCollapsed
        },
        refreshView() {
            this.isRouteShow = false
            nextTick(() => {
                this.isRouteShow = true
            })
        }
    }
})

export default useAppStore
